@goto :A
------------------------------------------------------------------------
VDP.BAT -- C.L.Distefano rev.9/18/16
Launch vDosPlus, with optional config.txt directives

Usages
......
1) Launch vDosPlus without command-line arguments:
   VDP.BAT

2) Launch vDosPlus with command-line arguments:
   VDP.BAT [vDosPlus arg(s) here]

3) Launch using config.ext (same as VDP.BAT /cfg config.ext):
   VDP.BAT ext

4) Launch using config.ext and set additional config options:
   VDP.BAT ext /set option1=value1; option2=value2; ...

5) Launch using settings saved as an "alias" in VDPALIAS.BAT:
   VDP.BAT [alias_name]

6) Launch vDosPlus session with internal default settings:
   VDP.BAT D

Notes:
a) See the vDosPlus README.TXT for details on setting configuration
   options with arguments on the command line.
b) Aliases used by VDP.BAT are collected in a separate file, VDPALIAS.BAT.
   See VDPALIAS.BAT for examples.
------------------------------------------------------------------------
:A
@echo off
for %%Z in (%0) do cd/d %%~dpZ
set VDPargs=
if "%1"=="" goto :D
set VDPargs=%*
if "%VDPargs%"=="D" goto :B
if not "%VDPargs%"=="d" goto :C
:B
set VDPargs=/cfg nul /set autoexec=nul
goto :D
:C
if exist config.%1 (
    start.exe _ vDosPlus.exe /cfg config.%VDPargs%
    goto :E)
if %VDPargs:/=%==%VDPargs% (if exist VDPALIAS.BAT (
  call VDPALIAS.BAT %VDPargs%) else set VDPargs=) else set VDPargs=%*
:D
start.exe _ vDosPlus.exe %VDPargs%
:E
set VDPargs=
goto :eof
------------------------------------------------------------------------
