:: RCI.BAT -- CLD 2/13/16
:: Run sequential preset RCI searches (SEARCH.1, SEARCH.2, ..., SEARCH.999)
::   against a single file
::
:: Usage:
:: Set SEARCH.1, SEARCH.2, ..., SEARCH.n in SEARCH.TXT format
:: then: 
:: RCI.BAT [file_in] [file_out] [start_pos] [number_of_changes]<cr>
::
:: >>> See RCI.PDF for details <<<

@echo off
for %%y in (%0) do set RCIDIR=%%~dpy
set RCIEXE=%RCIDIR%AI3.EXE %RCIDIR%RCI.A3X 
set RCIFI=%1
set RCIFO=%2
set RCIST=%3
set RCICH=%4
if %RCIFI%!==! set RCIFI=%RCIDIR%ORIGINAL.TXT
if %RCIFI%==. set RCIFI=%RCIDIR%ORIGINAL.TXT
if %RCIFO%!==! set RCIFO=%RCIDIR%CHANGED.TXT
if %RCIFO%==. set RCIFI=%RCIDIR%CHANGED.TXT
if %RCIST%!==! set RCIST=0
if %RCIST%==. set RCIST=0
if %RCICH%!==! set RCICH=0
if %RCICH%==. set RCICH=0

if not exist %RCIFI% (
  for %%e in (EXE DIR FI FO ST CH) do set RCI%%e=
  EXIT)
if exist %RCIDIR%RCI.XXX del/q %RCIDIR%RCI.XXX
copy/y %RCIFI% %RCIDIR%RCITMP.TXT > nul
for /L %%n in (1,1,999) do (
  if not exist %RCIDIR%SEARCH.%%n (
:a
    del/q %RCIDIR%RCITMP.TXT
    copy/y nul %RCIDIR%RCI.XXX > nul
    for %%e in (EXE DIR FI FO ST CH) do set RCI%%e=
    EXIT)
  if exist %RCIDIR%SEARCH.%%n (
:b
    copy/y %RCIDIR%SEARCH.%%n %RCIDIR%SEARCH.TXT > nul
    if not exist %RCIDIR%SEARCH.TXT goto b
    %RCIEXE% %RCIDIR%RCITMP.TXT %RCIFO% %RCIST% %RCICH%
    copy/y %RCIFO% %RCIDIR%RCITMP.TXT > nul))
goto a
